<app-toast [message]="toast.message"></app-toast>
<form [formGroup]="registerForm" (ngSubmit)="registerInformation()">
  <div class="card">
    <h4 class="card-header">ประวัติการได้รับวัคซีนป้องกันโรคติดเชื้อไวรัสโคโรนา 2019</h4>
    <div class="card-body">



      <div class="input-group">

        <div class="col-lg-6">

          <h5 style="padding-bottom: 10px; padding-top: 10px;">
            ประวัติการได้รับวัคซีน
          </h5>
          <input type="radio" formControlName="vaccine" [ngClass]="{ 'is-invalid': submitted && f.vaccine.errors }"
            value=1>
          <label class="col-lg-3">
            ไม่เคยได้รับ
          </label>
          <input type="radio" formControlName="vaccine" [ngClass]="{ 'is-invalid': submitted && f.vaccine.errors }"
            value=2>
          <label class="col-lg-3">
            เคยได้รับ </label>
          <div *ngIf="submitted && f.vaccine.errors" class="invalid-feedback">
            <div *ngIf="f.vaccine.errors.required">กรุณาระบุ</div>
          </div>

        </div>


        <div class="col-lg-6 ">
          <h5 style="padding-bottom: 10px; padding-top: 10px;">
            เคยได้รับสมุดบันทึกหรือหลักฐานการได้รับวัคซีนหรือไม่
          </h5>
          <label class="col-lg-3">
            <input type="radio" formControlName="evidence" value=1>
            มี
          </label>
          <label class="col-lg-3">
            <input type="radio" formControlName="evidence" value=2>
            ไม่มี
          </label>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              คร้ังท่ี 1 วันที่ได้รับ
            </span>
          </div>
          <input class="form-control" type="date" name="first_dose" formControlName="first_dose"
            placeholder="ระบุวันที่ได้รับครั้งที่ 1">

        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อวัคซีน
            </span>
          </div>
          <input class="form-control" type="text" name="name_vaccine_1" formControlName="name_vaccine_1"
            placeholder="ระบุชื่อวัคซีน">

        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ได้รับ
            </span>
          </div>
          <input class="form-control" type="text" name="place_first_dose" formControlName="place_first_dose"
            placeholder="ระบุสถานที่ได้รับ">

        </div>
      </div>

      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              คร้ังท่ี 2 วันที่ได้รับ
            </span>
          </div>
          <input class="form-control" type="date" name="second_dose" formControlName="second_dose"
            placeholder="ระบุวันที่ได้รับครั้งที่ 2">

        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อวัคซีน
            </span>
          </div>
          <input class="form-control" type="text" name="name_vaccine_2" formControlName="name_vaccine_2"
            placeholder="ระบุชื่อวัคซีน">

        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ได้รับ
            </span>
          </div>
          <input class="form-control" type="text" name="place_second_dose" formControlName="place_second_dose"
            placeholder="ระบุสถานที่ได้รับ">

        </div>
      </div>
      <div class="row">
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              คร้ังท่ี 3 วันที่ได้รับ
            </span>
          </div>
          <input class="form-control" type="date" name="third_dose" formControlName="third_dose"
            placeholder="ระบุวันที่ได้รับครั้งที่ 3">

        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              ชื่อวัคซีน
            </span>
          </div>
          <input class="form-control" type="text" name="name_vaccine_3" formControlName="name_vaccine_3"
            placeholder="ระบุชื่อวัคซีน">

        </div>
        <div class="col-lg-4 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              สถานที่ได้รับ
            </span>
          </div>
          <input class="form-control" type="text" name="place_third_dose" formControlName="place_third_dose"
            placeholder="ระบุสถานที่ได้รับ">

        </div>
      </div>
    </div>
  </div>

  <div class="card mt-3">
    <h4 class="card-header">ประวัติเสี่ยง</h4>
    <div class="card-body">


      <h5 style="padding-bottom: 10px; padding-top: 30px;">
        ๐ ช่วง 14 วันก่อนป่วยอาศัยอยู่หรือเดินทางมาจากพื้นที่ที่มีการระบาด
      </h5>

      <div class="row">
        <div class="input-group">
          <div class="col-lg-4">
            <input type="radio" formControlName="go_aboad_cond"
              [ngClass]="{ 'is-invalid': submitted && f.go_aboad_cond.errors }" value=1>
            <label class="col-lg-4">
              ใช่
            </label>
            <input type="radio" formControlName="go_aboad_cond"
              [ngClass]="{ 'is-invalid': submitted && f.go_aboad_cond.errors }" value=2>
            <label class="col-lg-4">
              ไม่ใช่ </label>
            <div *ngIf="submitted && f.go_aboad_cond.errors" class="invalid-feedback">
              <div *ngIf="f.go_aboad_cond.errors.required">กรุณาระบุ</div>
            </div>

          </div>
          <div class="col-lg-4 input-group">
            <div class="input-group-prepend">
              <span class="input-group-text">
                เมือง
              </span>
            </div>
            <input class="form-control" type="text" name="city" formControlName="city"
              [ngClass]="{ 'is-invalid': submitted && f.city.errors }" placeholder="ระบุเมือง">

            <div *ngIf="submitted && f.city.errors" class="invalid-feedback">
              <div *ngIf="f.city.errors.required">กรุณาระบุเมือง</div>
            </div>

          </div>
          <div class="col-lg-4 input-group">
            <div class="input-group-prepend">
              <span class="input-group-text">
                ประเทศ
              </span>
            </div>
            <input class="form-control" type="text" name="country" formControlName="country"
              [ngClass]="{ 'is-invalid': submitted && f.country.errors }" placeholder="ระบุประเทศ">
            <div *ngIf="submitted && f.country.errors" class="invalid-feedback">
              <div *ngIf="f.country.errors.required">กรุณาระบุประเทศ</div>
            </div>

          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              เดินทางเข้าประเทศไทยวันท่ี
            </span>
          </div>
          <input class="form-control" type="date" name="arrival_thai" formControlName="arrival_thai"
            [ngClass]="{ 'is-invalid': submitted && f.arrival_thai.errors }"
            placeholder="ระบุวันที่เดินทางเข้าประเทศไทย">
          <div *ngIf="submitted && f.arrival_thai.errors" class="invalid-feedback">
            <div *ngIf="f.arrival_thai.errors.required">กรุณาระบุวันที่เดินทางเข้าประเทศไทย</div>
          </div>

        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              โดยสายการบิน
            </span>
          </div>
          <input class="form-control" type="text" name="airline" formControlName="airline"
            [ngClass]="{ 'is-invalid': submitted && f.airline.errors }" placeholder="ระบุสายการบิน">
          <div *ngIf="submitted && f.airline.errors" class="invalid-feedback">
            <div *ngIf="f.airline.errors.required">กรุณาระบุสายการบิน</div>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              เท่ียวบินท่ี
            </span>
          </div>
          <input class="form-control" type="text" name="flight_No" formControlName="flight_No"
            [ngClass]="{ 'is-invalid': submitted && f.flight_No.errors }" placeholder="ระบุเท่ียวบิน">
          <div *ngIf="submitted && f.flight_No.errors" class="invalid-feedback">
            <div *ngIf="f.flight_No.errors.required">กรุณาระบุเท่ียวบิน</div>
          </div>

        </div>
        <div class="col-lg-6 input-group">
          <div class="input-group-prepend">
            <span class="input-group-text">
              เลขที่นั่ง
            </span>
          </div>
          <input class="form-control" type="text" name="seat_No" formControlName="seat_No"
            [ngClass]="{ 'is-invalid': submitted && f.seat_No.errors }" placeholder="ระบุเลขที่นั่ง">
          <div *ngIf="submitted && f.seat_No.errors" class="invalid-feedback">
            <div *ngIf="f.seat_No.errors.required">กรุณาระบุเลขที่นั่ง</div>
          </div>
        </div>
      </div>

      <h5 style="padding-top: 15px;">
        ๐ ช่วง 14 วันก่อนป่วยได้เข้ารับการรักษาหรือเยี่ยมผู้ป่วยในโรงพยาบาลของพื้นที่ที่มีการระบาด
      </h5>
      <div class="col-lg-4">
        <input type="radio" formControlName="case_1"
          [ngClass]="{ 'is-invalid': submitted && f.case_1.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_1"
          [ngClass]="{ 'is-invalid': submitted && f.case_1.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_1.errors" class="invalid-feedback">
          <div *ngIf="f.case_1.errors.required">กรุณาระบุ</div>
        </div>

      </div>

      <h5 style="padding-top: 15px;">
        ๐ ช่วง 14 วันก่อนป่วยได้ดูแลตัวเองหรือสัมผัสใกล้ชิดกับผู้ป่วยอาการคล้ายไข้หวัดใหญ่หรือปอดอักเสบ
      </h5>
      <div class="col-lg-4">
        <input type="radio" formControlName="case_2"
          [ngClass]="{ 'is-invalid': submitted && f.case_2.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_2"
          [ngClass]="{ 'is-invalid': submitted && f.case_2.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_2.errors" class="invalid-feedback">
          <div *ngIf="f.case_2.errors.required">กรุณาระบุ</div>
        </div>

      </div>

      <h5  style="padding-top: 15px;">
        ๐ ช่วง 14 วันก่อนป่วยมีประวัติสัมผัสกับผู้ป่วยยืนยันโรคติดเชื้อไวรัสโคโรนา 2019
      </h5>
      <div class="col-lg-12">
        <input type="radio" formControlName="case_3"
          [ngClass]="{ 'is-invalid': submitted && f.case_3.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_2"
          [ngClass]="{ 'is-invalid': submitted && f.case_3.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>


        <div *ngIf="submitted && f.case_3.errors" class="invalid-feedback">
          <div *ngIf="f.case_3.errors.required">กรุณาระบุ</div>
        </div>
      </div>

      <h5  style="padding-top: 15px;">
        ๐ ช่วง 14 วันก่อนป่วยประกอบอาชีพท่ีสัมผัสใกล้ชิดกับนักท่องเที่ยวต่างชาติ
      </h5>
      <div class="col-lg-12">
        <input type="radio" formControlName="case_4"
          [ngClass]="{ 'is-invalid': submitted && f.case_4.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_4"
          [ngClass]="{ 'is-invalid': submitted && f.case_4.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_4.errors" class="invalid-feedback">
          <div *ngIf="f.case_4.errors.required">กรุณาระบุ</div>
        </div>
      </div>

      <h5  style="padding-top: 15px;">
        ๐ ช่วง 14 วันก่อนป่วยมีประวัตเิดินทางไปในสถานท่ีท่ีมีคนหนาแน่น เช่น ผับ สนามมวย...
      </h5>
      <div class="col-lg-12">
        <input type="radio" formControlName="case_5"
          [ngClass]="{ 'is-invalid': submitted && f.case_5.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_5"
          [ngClass]="{ 'is-invalid': submitted && f.case_5.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_5.errors" class="invalid-feedback">
          <div *ngIf="f.case_5.errors.required">กรุณาระบุ</div>
        </div>
      </div>

      <h5  style="padding-top: 15px;">
        ๐ เป็นผู้ป่วยอาการทางเดินหายใจหรือปอดอักเสบเป็นกลุ่มก้อน
      </h5>
      <div class="col-lg-12">
        <input type="radio" formControlName="case_6"
          [ngClass]="{ 'is-invalid': submitted && f.case_6.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_6"
          [ngClass]="{ 'is-invalid': submitted && f.case_6.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_6.errors" class="invalid-feedback">
          <div *ngIf="f.case_6.errors.required">กรุณาระบุ</div>
        </div>
      </div>

      <h5  style="padding-top: 15px;">
        ๐ เป็นผู้ป่วยปอดอักเสบรุนแรงหรือเสียชีวิตท่ีหาสาเหตุไม่ได้
      </h5>
      <div class="col-lg-12">
        <input type="radio" formControlName="case_7"
          [ngClass]="{ 'is-invalid': submitted && f.case_7.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_7"
          [ngClass]="{ 'is-invalid': submitted && f.case_7.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_7.errors" class="invalid-feedback">
          <div *ngIf="f.case_7.errors.required">กรุณาระบุ</div>
        </div>
      </div>
      <h5  style="padding-top: 15px;">
        ๐ เป็นบุคลากรทางการแพทย์และสาธารณสุขหรือเจ้าหน้าท่ีห้องปฏิบัติการ
      </h5>
      <div class="col-lg-12">
        <input type="radio" formControlName="case_8"
          [ngClass]="{ 'is-invalid': submitted && f.case_8.errors }" value=1>
        <label class="col-lg-4">
          ใช่
        </label>
        <input type="radio" formControlName="case_8"
          [ngClass]="{ 'is-invalid': submitted && f.case_8.errors }" value=2>
        <label class="col-lg-4">
          ไม่ใช่ </label>
        <div *ngIf="submitted && f.case_8.errors" class="invalid-feedback">
          <div *ngIf="f.case_8.errors.required">กรุณาระบุ</div>
        </div>
      </div>

      <div style="margin-top: 15px;" class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text">
            อื่นๆ ระบุ
          </span>
        </div>
        <input class="form-control" type="text" name="case_9" formControlName="case_9"
          [ngClass]="{ 'is-invalid': submitted && f.case_9.errors }" placeholder="ระบุอื่นๆ">
        <div *ngIf="submitted && f.case_9.errors" class="invalid-feedback">
          <div *ngIf="f.case_9.errors.required">กรุณาระบุ</div>
        </div>

      </div>

      <div style="margin-top: 15px;" class="input-group">
        <div class="input-group-prepend">
          <span class="input-group-text">
            รายละเอียดเหตุการณ์
          </span>
        </div>
        <textarea 
        rows="5"
        class="form-control" type="text" name="situation" formControlName="situation"
          [ngClass]="{ 'is-invalid': submitted && f.situation.errors }" placeholder="ระบุรายละเอียดเหตุการณ์ประวัติเสี่ยงต่อการติดเชื้อก่อนเร่ิมป่วย">
          </textarea>
        <div *ngIf="submitted && f.situation.errors" class="invalid-feedback">
          <div *ngIf="f.situation.errors.required">กรุณาระบุรายละเอียดเหตุการณ์ประวัติเสี่ยงต่อการติดเชื้อก่อนเร่ิมป่วย</div>
        </div>

      </div>

      <button class="btn btn-primary" type="submit">
        <i class="fa fa-paper-plane"></i> ส่งข้อมูล
      </button>

    </div>
  </div>


</form>